Xalan-Java 2.7.1: Class EmptySerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class EmptySerializer

    java.lang.Object
      |
      +--org.apache.xml.serializer.EmptySerializer

Direct Known Subclasses:
  SimpleResultTreeImpl, StringValueHandler

public class EmptySerializer
extends java.lang.Object
implements SerializationHandler

This class is an adapter class. Its only purpose is to be extended and for that extended class to over-ride all methods that are to be used. This class is not a public API, it is only public because it is used across package boundaries.

Usage:
  **For internal use only**

Constructor Summary
`EmptySerializer()`

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.String value)`
`void` | `addAttribute(java.lang.String uri, java.lang.String localName, java.lang.String rawName, java.lang.String type, java.lang.String value)`
`void` | `addAttribute(java.lang.String uri, java.lang.String localName, java.lang.String rawName, java.lang.String type, java.lang.String value, boolean XSLAttribute)`
`void` | `addAttributes(Attributes atts)`
`void` | `addUniqueAttribute(java.lang.String name, java.lang.String value, int flags)`
`void` | `addXSLAttribute(java.lang.String qName, java.lang.String value, java.lang.String uri)`
`ContentHandler` | `asContentHandler()`
`java.lang.Object` | `asDOM3Serializer()`
`DOMSerializer` | `asDOMSerializer()`
`void` | `attributeDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)`
`void` | `characters(char[] arg0, int arg1, int arg2)`
`void` | `characters(Node node)`
`void` | `characters(java.lang.String chars)`
`void` | `close()`
`void` | `comment(char[] arg0, int arg1, int arg2)`
`void` | `comment(java.lang.String comment)`
`void` | `elementDecl(java.lang.String arg0, java.lang.String arg1)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String elemName)`
`void` | `endElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `endEntity(java.lang.String arg0)`
`void` | `endPrefixMapping(java.lang.String arg0)`
`void` | `entityReference(java.lang.String entityName)`
`void` | `error(SAXParseException arg0)`
`void` | `externalEntityDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `fatalError(SAXParseException arg0)`
`void` | `flushPending()`
`java.lang.String` | `getDoctypePublic()`
`java.lang.String` | `getDoctypeSystem()`
`java.lang.String` | `getEncoding()`
`boolean` | `getIndent()`
`int` | `getIndentAmount()`
`java.lang.String` | `getMediaType()`
`NamespaceMappings` | `getNamespaceMappings()`
`java.lang.String` | `getNamespaceURI(java.lang.String name, boolean isElement)`
`java.lang.String` | `getNamespaceURIFromPrefix(java.lang.String prefix)`
`boolean` | `getOmitXMLDeclaration()`
`java.util.Properties` | `getOutputFormat()`
`java.lang.String` | `getOutputProperty(java.lang.String name)`
`java.lang.String` | `getOutputPropertyDefault(java.lang.String name)`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getPrefix(java.lang.String uri)`
`java.lang.String` | `getStandalone()`
`Transformer` | `getTransformer()`
`java.lang.String` | `getVersion()`
`java.io.Writer` | `getWriter()`
`void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void` | `internalEntityDecl(java.lang.String arg0, java.lang.String arg1)`
`void` | `namespaceAfterStartElement(java.lang.String uri, java.lang.String prefix)`
`void` | `notationDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `processingInstruction(java.lang.String arg0, java.lang.String arg1)`
`boolean` | `reset()`
`void` | `serialize(Node node)`
`void` | `setCdataSectionElements(java.util.Hashtable h)`
`void` | `setCdataSectionElements(java.util.Vector URI_and_localNames)`
`void` | `setContentHandler(ContentHandler ch)`
`void` | `setDoctype(java.lang.String system, java.lang.String pub)`
`void` | `setDoctypePublic(java.lang.String doctype)`
`void` | `setDoctypeSystem(java.lang.String doctype)`
`void` | `setDocumentLocator(Locator arg0)`
`void` | `setDTDEntityExpansion(boolean expand)`
`void` | `setEncoding(java.lang.String encoding)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setIndent(boolean indent)`
`void` | `setIndentAmount(int spaces)`
`void` | `setMediaType(java.lang.String mediatype)`
`void` | `setNamespaceMappings(NamespaceMappings mappings)`
`void` | `setOmitXMLDeclaration(boolean b)`
`void` | `setOutputFormat(java.util.Properties format)`
`void` | `setOutputProperty(java.lang.String name, java.lang.String val)`
`void` | `setOutputPropertyDefault(java.lang.String name, java.lang.String val)`
`void` | `setOutputStream(java.io.OutputStream output)`
`void` | `setSourceLocator(SourceLocator locator)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setTransformer(Transformer transformer)`
`void` | `setVersion(java.lang.String version)`
`void` | `setWriter(java.io.Writer writer)`
`void` | `skippedEntity(java.lang.String arg0)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
`void` | `startElement(java.lang.String qName)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` | `startElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, Attributes arg3)`
`void` | `startEntity(java.lang.String arg0)`
`void` | `startPrefixMapping(java.lang.String arg0, java.lang.String arg1)`
`boolean` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, boolean shouldFlush)`
`void` | `unparsedEntityDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`void` | `warning(SAXParseException arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptySerializer

    public EmptySerializer()

Method Detail

### asContentHandler

    public ContentHandler asContentHandler()
                                    throws java.io.IOException

  See Also:
    `Serializer.asContentHandler()`

### setContentHandler

    public void setContentHandler(ContentHandler ch)

  Specified by:
    setContentHandler in interface SerializationHandler
  See Also:
    `SerializationHandler.setContentHandler(org.xml.sax.ContentHandler)`

### close

    public void close()

  Specified by:
    close in interface SerializationHandler
  See Also:
    `SerializationHandler.close()`

### getOutputFormat

    public java.util.Properties getOutputFormat()

  See Also:
    `Serializer.getOutputFormat()`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  See Also:
    `Serializer.getOutputStream()`

### getWriter

    public java.io.Writer getWriter()

  See Also:
    `Serializer.getWriter()`

### reset

    public boolean reset()

  See Also:
    `Serializer.reset()`

### serialize

    public void serialize(Node node)
                   throws java.io.IOException

  Specified by:
    serialize in interface SerializationHandler
  See Also:
    `SerializationHandler.serialize(org.w3c.dom.Node)`

### setCdataSectionElements

    public void setCdataSectionElements(java.util.Vector URI_and_localNames)

  See Also:
    `XSLOutputAttributes.setCdataSectionElements(java.util.Vector)`

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws SAXException

  Specified by:
    setEscaping in interface SerializationHandler
  See Also:
    `SerializationHandler.setEscaping(boolean)`

### setIndent

    public void setIndent(boolean indent)

  See Also:
    `XSLOutputAttributes.setIndent(boolean)`

### setIndentAmount

    public void setIndentAmount(int spaces)

  Specified by:
    setIndentAmount in interface SerializationHandler
  See Also:
    `SerializationHandler.setIndentAmount(int)`

### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

  See Also:
    `Serializer.setOutputFormat(java.util.Properties)`

### setOutputStream

    public void setOutputStream(java.io.OutputStream output)

  See Also:
    `Serializer.setOutputStream(java.io.OutputStream)`

### setVersion

    public void setVersion(java.lang.String version)

  See Also:
    `XSLOutputAttributes.setVersion(java.lang.String)`

### setWriter

    public void setWriter(java.io.Writer writer)

  See Also:
    `Serializer.setWriter(java.io.Writer)`

### setTransformer

    public void setTransformer(Transformer transformer)

  Specified by:
    setTransformer in interface SerializationHandler
  See Also:
    `SerializationHandler.setTransformer(javax.xml.transform.Transformer)`

### getTransformer

    public Transformer getTransformer()

  Specified by:
    getTransformer in interface SerializationHandler
  See Also:
    `SerializationHandler.getTransformer()`

### flushPending

    public void flushPending()
                      throws SAXException

  Specified by:
    flushPending in interface SerializationHandler
  See Also:
    `SerializationHandler.flushPending()`

### addAttribute

    public void addAttribute(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             java.lang.String type,
                             java.lang.String value,
                             boolean XSLAttribute)
                      throws SAXException

  See Also:
    `ExtendedContentHandler.addAttribute(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### addAttributes

    public void addAttributes(Attributes atts)
                       throws SAXException

  See Also:
    `ExtendedContentHandler.addAttributes(org.xml.sax.Attributes)`

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  See Also:
    `ExtendedContentHandler.addAttribute(java.lang.String, java.lang.String)`

### characters

    public void characters(java.lang.String chars)
                    throws SAXException

  See Also:
    `ExtendedContentHandler.characters(java.lang.String)`

### endElement

    public void endElement(java.lang.String elemName)
                    throws SAXException

  See Also:
    `ExtendedContentHandler.endElement(java.lang.String)`

### startDocument

    public void startDocument()
                       throws SAXException

  See Also:
    `ContentHandler.startDocument()`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName)
                      throws SAXException

  See Also:
    `ExtendedContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String)`

### startElement

    public void startElement(java.lang.String qName)
                      throws SAXException

  See Also:
    `ExtendedContentHandler.startElement(java.lang.String)`

### namespaceAfterStartElement

    public void namespaceAfterStartElement(java.lang.String uri,
                                           java.lang.String prefix)
                                    throws SAXException

  See Also:
    `ExtendedContentHandler.namespaceAfterStartElement(java.lang.String, java.lang.String)`

### startPrefixMapping

    public boolean startPrefixMapping(java.lang.String prefix,
                                      java.lang.String uri,
                                      boolean shouldFlush)
                               throws SAXException

  See Also:
    `ExtendedContentHandler.startPrefixMapping(java.lang.String, java.lang.String, boolean)`

### entityReference

    public void entityReference(java.lang.String entityName)
                         throws SAXException

  See Also:
    `ExtendedContentHandler.entityReference(java.lang.String)`

### getNamespaceMappings

    public NamespaceMappings getNamespaceMappings()

  See Also:
    `ExtendedContentHandler.getNamespaceMappings()`

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

  See Also:
    `ExtendedContentHandler.getPrefix(java.lang.String)`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String name,
                                            boolean isElement)

  See Also:
    `ExtendedContentHandler.getNamespaceURI(java.lang.String, boolean)`

### getNamespaceURIFromPrefix

    public java.lang.String getNamespaceURIFromPrefix(java.lang.String prefix)

  See Also:
    `ExtendedContentHandler.getNamespaceURIFromPrefix(java.lang.String)`

### setDocumentLocator

    public void setDocumentLocator(Locator arg0)

  See Also:
    `ContentHandler.setDocumentLocator(org.xml.sax.Locator)`

### endDocument

    public void endDocument()
                     throws SAXException

  See Also:
    `ContentHandler.endDocument()`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String arg0,
                                   java.lang.String arg1)
                            throws SAXException

  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String arg0)
                          throws SAXException

  See Also:
    `ContentHandler.endPrefixMapping(java.lang.String)`

### startElement

    public void startElement(java.lang.String arg0,
                             java.lang.String arg1,
                             java.lang.String arg2,
                             Attributes arg3)
                      throws SAXException

  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String arg0,
                           java.lang.String arg1,
                           java.lang.String arg2)
                    throws SAXException

  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### characters

    public void characters(char[] arg0,
                           int arg1,
                           int arg2)
                    throws SAXException

  See Also:
    `ContentHandler.characters(char[], int, int)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0,
                                    int arg1,
                                    int arg2)
                             throws SAXException

  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String arg0,
                                      java.lang.String arg1)
                               throws SAXException

  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### skippedEntity

    public void skippedEntity(java.lang.String arg0)
                       throws SAXException

  See Also:
    `ContentHandler.skippedEntity(java.lang.String)`

### comment

    public void comment(java.lang.String comment)
                 throws SAXException

  See Also:
    `ExtendedLexicalHandler.comment(java.lang.String)`

### startDTD

    public void startDTD(java.lang.String arg0,
                         java.lang.String arg1,
                         java.lang.String arg2)
                  throws SAXException

  See Also:
    `LexicalHandler.startDTD(java.lang.String, java.lang.String, java.lang.String)`

### endDTD

    public void endDTD()
                throws SAXException

  See Also:
    `LexicalHandler.endDTD()`

### startEntity

    public void startEntity(java.lang.String arg0)
                     throws SAXException

  See Also:
    `LexicalHandler.startEntity(java.lang.String)`

### endEntity

    public void endEntity(java.lang.String arg0)
                   throws SAXException

  See Also:
    `LexicalHandler.endEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws SAXException

  See Also:
    `LexicalHandler.startCDATA()`

### endCDATA

    public void endCDATA()
                  throws SAXException

  See Also:
    `LexicalHandler.endCDATA()`

### comment

    public void comment(char[] arg0,
                        int arg1,
                        int arg2)
                 throws SAXException

  See Also:
    `LexicalHandler.comment(char[], int, int)`

### getDoctypePublic

    public java.lang.String getDoctypePublic()

  See Also:
    `XSLOutputAttributes.getDoctypePublic()`

### getDoctypeSystem

    public java.lang.String getDoctypeSystem()

  See Also:
    `XSLOutputAttributes.getDoctypeSystem()`

### getEncoding

    public java.lang.String getEncoding()

  See Also:
    `XSLOutputAttributes.getEncoding()`

### getIndent

    public boolean getIndent()

  See Also:
    `XSLOutputAttributes.getIndent()`

### getIndentAmount

    public int getIndentAmount()

  See Also:
    `XSLOutputAttributes.getIndentAmount()`

### getMediaType

    public java.lang.String getMediaType()

  See Also:
    `XSLOutputAttributes.getMediaType()`

### getOmitXMLDeclaration

    public boolean getOmitXMLDeclaration()

  See Also:
    `XSLOutputAttributes.getOmitXMLDeclaration()`

### getStandalone

    public java.lang.String getStandalone()

  See Also:
    `XSLOutputAttributes.getStandalone()`

### getVersion

    public java.lang.String getVersion()

  See Also:
    `XSLOutputAttributes.getVersion()`

### setCdataSectionElements

    public void setCdataSectionElements(java.util.Hashtable h)
                                 throws java.lang.Exception

  See Also:
    `XSLOutputAttributes.setCdataSectionElements(java.util.Vector)`

### setDoctype

    public void setDoctype(java.lang.String system,
                           java.lang.String pub)

  See Also:
    `XSLOutputAttributes.setDoctype(java.lang.String, java.lang.String)`

### setDoctypePublic

    public void setDoctypePublic(java.lang.String doctype)

  See Also:
    `XSLOutputAttributes.setDoctypePublic(java.lang.String)`

### setDoctypeSystem

    public void setDoctypeSystem(java.lang.String doctype)

  See Also:
    `XSLOutputAttributes.setDoctypeSystem(java.lang.String)`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  See Also:
    `XSLOutputAttributes.setEncoding(java.lang.String)`

### setMediaType

    public void setMediaType(java.lang.String mediatype)

  See Also:
    `XSLOutputAttributes.setMediaType(java.lang.String)`

### setOmitXMLDeclaration

    public void setOmitXMLDeclaration(boolean b)

  See Also:
    `XSLOutputAttributes.setOmitXMLDeclaration(boolean)`

### setStandalone

    public void setStandalone(java.lang.String standalone)

  See Also:
    `XSLOutputAttributes.setStandalone(java.lang.String)`

### elementDecl

    public void elementDecl(java.lang.String arg0,
                            java.lang.String arg1)
                     throws SAXException

  See Also:
    `DeclHandler.elementDecl(java.lang.String, java.lang.String)`

### attributeDecl

    public void attributeDecl(java.lang.String arg0,
                              java.lang.String arg1,
                              java.lang.String arg2,
                              java.lang.String arg3,
                              java.lang.String arg4)
                       throws SAXException

  See Also:
    `DeclHandler.attributeDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### internalEntityDecl

    public void internalEntityDecl(java.lang.String arg0,
                                   java.lang.String arg1)
                            throws SAXException

  See Also:
    `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String arg0,
                                   java.lang.String arg1,
                                   java.lang.String arg2)
                            throws SAXException

  See Also:
    `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### warning

    public void warning(SAXParseException arg0)
                 throws SAXException

  See Also:
    `ErrorHandler.warning(org.xml.sax.SAXParseException)`

### error

    public void error(SAXParseException arg0)
               throws SAXException

  See Also:
    `ErrorHandler.error(org.xml.sax.SAXParseException)`

### fatalError

    public void fatalError(SAXParseException arg0)
                    throws SAXException

  See Also:
    `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`

### asDOMSerializer

    public DOMSerializer asDOMSerializer()
                                  throws java.io.IOException

  See Also:
    `Serializer.asDOMSerializer()`

### setNamespaceMappings

    public void setNamespaceMappings(NamespaceMappings mappings)

  Specified by:
    setNamespaceMappings in interface SerializationHandler
  See Also:
    `SerializationHandler.setNamespaceMappings(NamespaceMappings)`

### setSourceLocator

    public void setSourceLocator(SourceLocator locator)

  See Also:
    `ExtendedContentHandler.setSourceLocator(javax.xml.transform.SourceLocator)`

### addUniqueAttribute

    public void addUniqueAttribute(java.lang.String name,
                                   java.lang.String value,
                                   int flags)
                            throws SAXException

  See Also:
    `ExtendedContentHandler.addUniqueAttribute(java.lang.String, java.lang.String, int)`

### characters

    public void characters(Node node)
                    throws SAXException

  See Also:
    `ExtendedContentHandler.characters(org.w3c.dom.Node)`

### addXSLAttribute

    public void addXSLAttribute(java.lang.String qName,
                                java.lang.String value,
                                java.lang.String uri)

  See Also:
    `ExtendedContentHandler.addXSLAttribute(java.lang.String, java.lang.String, java.lang.String)`

### addAttribute

    public void addAttribute(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             java.lang.String type,
                             java.lang.String value)
                      throws SAXException

  See Also:
    `ExtendedContentHandler.addAttribute(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### notationDecl

    public void notationDecl(java.lang.String arg0,
                             java.lang.String arg1,
                             java.lang.String arg2)
                      throws SAXException

  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String arg0,
                                   java.lang.String arg1,
                                   java.lang.String arg2,
                                   java.lang.String arg3)
                            throws SAXException

  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setDTDEntityExpansion

    public void setDTDEntityExpansion(boolean expand)

  Specified by:
    setDTDEntityExpansion in interface SerializationHandler
  See Also:
    `SerializationHandler.setDTDEntityExpansion(boolean)`

### getOutputProperty

    public java.lang.String getOutputProperty(java.lang.String name)

### getOutputPropertyDefault

    public java.lang.String getOutputPropertyDefault(java.lang.String name)

### setOutputProperty

    public void setOutputProperty(java.lang.String name,
                                  java.lang.String val)

### setOutputPropertyDefault

    public void setOutputPropertyDefault(java.lang.String name,
                                         java.lang.String val)

### asDOM3Serializer

    public java.lang.Object asDOM3Serializer()
                                      throws java.io.IOException

  See Also:
    `Serializer.asDOM3Serializer()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.